---
sidebar_label: CommonEventEmitter.emit
---

# CommonEventEmitter.emit() method

**Signature:**

```typescript
interface CommonEventEmitter {
  emit(event: EventType, eventData?: unknown): boolean;
}
```

## Parameters

| Parameter | Type                                  | Description       |
| --------- | ------------------------------------- | ----------------- |
| event     | [EventType](./puppeteer.eventtype.md) |                   |
| eventData | unknown                               | <i>(Optional)</i> |

**Returns:**

boolean
